{
  "name": "naturalis/xeno-canto",
  "description": "Xeno-canto is a website for sharing wildlife recordings from all across the world.",
  "license": "Apache-2.0",
  "require": {
    "php":"8.3.*",
    "symfony/http-foundation": "6.*",
    "symfony/monolog-bundle": "*",
    "symfony/mailer": "6.*",
    "symfony/google-mailer": "6.*",
    "symfony/config": "6.*",
    "symfony/html-sanitizer": "7.*",
    "symfony/yaml": "6.*",
    "symfony/routing": "6.*",
    "symfony/error-handler": "6.*",
    "symfony/finder": "6.*",
    "symfony/filesystem": "6.*",
    "michelf/php-markdown": "1.9.*",
    "google/recaptcha": "~1.1",
    "james-heinrich/getid3": "1.9.*",
    "samwilson/phpflickr": "4.*",
    "aws/aws-sdk-php": "3.*",
    "predis/predis": "1.1.*",
    "php81_bc/strftime": "*",
    "ext-mysqli": "*",
    "ext-fileinfo": "*",
    "ext-gettext": "*",
    "ext-curl": "*",
    "ext-intl": "*"
  },
  "require-dev": {
    "php-parallel-lint/php-parallel-lint": "^1.3",
    "enlightn/security-checker": "^2.0",
    "squizlabs/php_codesniffer": "^3.6",
    "phpstan/phpstan": "^1.9",
    "friendsofphp/php-cs-fixer": "3.*"
  },
  "scripts": {
    "test": [
      "@phplint",
      "@phpstan"
    ],
    "ci": [
      "@phplint",
      "@phpstan"
    ],
    "phplint": "vendor/bin/parallel-lint . --exclude vendor",
    "phpstan": "vendor/bin/phpstan analyse -c phpstan.neon --memory-limit 512M",
    "securitychecker": "vendor/bin/security-checker security:check composer.lock"
  },
  "autoload": {
    "psr-4": {
      "xc\\": "xc/"
    }
  }
}
